GET https://services.leadconnectorhq.com/custom-fields/object-key/{objectKey}
Autorización
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
string
default:"custom_objects.pet"
required
key of the Object. Must include “custom_objects.” prefix for custom objects. Available on the Custom Objects details Page under settings
Query parameters
string
default:"Account Id"
required
Respuestas
200 - Successful response
200 - Successful response
object[]
Custom Fields for the object.
Show cada item
Show cada item
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
string
default:"Name"
Field name
string
Description of the field
string
Placeholder text for the field
boolean
required
Whether the field should be shown in forms
object[]
Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type)
string
Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Posibles valores: ‘.pdf’, ‘.docx’, ‘.doc’, ‘.jpg’, ‘.jpeg’, ‘.png’, ‘.gif’, ‘.csv’, ‘.xlsx’, ‘.xls’, ‘all’
string
required
Unique identifier of the object
string
default:"custom_object.pet"
required
The key for your custom / standard object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
string
required
Type of field that you are trying to create Posibles valores: ‘TEXT’, ‘LARGE_TEXT’, ‘NUMERICAL’, ‘PHONE’, ‘MONETORY’, ‘CHECKBOX’, ‘SINGLE_OPTIONS’, ‘MULTIPLE_OPTIONS’, ‘DATE’, ‘TEXTBOX_LIST’, ‘FILE_UPLOAD’, ‘RADIO’
string
default:"3v34PM428h8vShlRW1KT"
required
ID of the parent folder
string
default:"custom_object.pet.name"
required
Field key. For Custom Object it’s formatted as “custom_object.{objectKey}.{fieldKey}”. “custom_object” is a fixed prefix, “{objectKey}” is your custom object’s identifier, and “{fieldName}” is the unique field name within that object. Example: “custom_object.pet.name” for a “name” field in a “pet” custom object.
boolean
default:"True"
Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records.
number
default:"2"
Maximum file limit for uploads
string
required
Date and time when the object was added
string
required
Date and time when the object was last updated
object[]
Custom Fields folder for the object.
Show cada item
Show cada item
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
string
default:"Name"
Field name
string
Description of the field
string
Placeholder text for the field
boolean
required
Whether the field should be shown in forms
object[]
Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type)
string
Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Posibles valores: ‘.pdf’, ‘.docx’, ‘.doc’, ‘.jpg’, ‘.jpeg’, ‘.png’, ‘.gif’, ‘.csv’, ‘.xlsx’, ‘.xls’, ‘all’
string
required
Unique identifier of the object
string
default:"custom_object.pet"
required
The key for your custom / standard object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
string
required
Type of field that you are trying to create Posibles valores: ‘TEXT’, ‘LARGE_TEXT’, ‘NUMERICAL’, ‘PHONE’, ‘MONETORY’, ‘CHECKBOX’, ‘SINGLE_OPTIONS’, ‘MULTIPLE_OPTIONS’, ‘DATE’, ‘TEXTBOX_LIST’, ‘FILE_UPLOAD’, ‘RADIO’
string
default:"3v34PM428h8vShlRW1KT"
required
ID of the parent folder
string
default:"custom_object.pet.name"
required
Field key. For Custom Object it’s formatted as “custom_object.{objectKey}.{fieldKey}”. “custom_object” is a fixed prefix, “{objectKey}” is your custom object’s identifier, and “{fieldName}” is the unique field name within that object. Example: “custom_object.pet.name” for a “name” field in a “pet” custom object.
boolean
default:"True"
Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records.
number
default:"2"
Maximum file limit for uploads
string
required
Date and time when the object was added
string
required
Date and time when the object was last updated
{
"fields": [
{
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Name",
"description": "string",
"placeholder": "string",
"showInForms": true,
"options": [
{}
],
"acceptedFormats": ".pdf",
"id": "string",
"objectKey": "custom_object.pet",
"dataType": "TEXT",
"parentId": "3v34PM428h8vShlRW1KT",
"fieldKey": "custom_object.pet.name",
"allowCustomOption": true,
"maxFileLimit": 2,
"dateAdded": "2024-01-15T10:30:00Z",
"dateUpdated": "2024-01-15T10:30:00Z"
}
],
"folders": [
{
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Name",
"description": "string",
"placeholder": "string",
"showInForms": true,
"options": [
{}
],
"acceptedFormats": ".pdf",
"id": "string",
"objectKey": "custom_object.pet",
"dataType": "TEXT",
"parentId": "3v34PM428h8vShlRW1KT",
"fieldKey": "custom_object.pet.name",
// truncado: 7 lineas mas
}
400 - Bad Request
400 - Bad Request
{}
401 - Unauthorized
401 - Unauthorized
{}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/custom-fields/object-key/YOUR_objectKey' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/custom-fields/object-key/YOUR_objectKey', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/custom-fields/object-key/YOUR_objectKey',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/custom-fields/object-key/YOUR_objectKey');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);

